Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(428)

Issue 333570043: [plaso] Added Window Registry parser plugin filters tests #1668 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by Joachim Metz
Modified:
3 months ago
Reviewers:
baby546833, onager
CC:
jberggren, romaing, kiddi, log2timeline-dev_googlegroups.com, aaronp
Visibility:
Public.

Description

[plaso] Added Window Registry parser plugin filters tests #1668

Patch Set 1 : Added Window Registry parser plugin filters tests #1668 #

Total comments: 4

Patch Set 2 : Changes after review #

Total comments: 2

Patch Set 3 : Changes after review and rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+775 lines, -217 lines) Patch
M tests/parsers/winreg_plugins/appcompatcache.py View 1 2 8 chunks +225 lines, -216 lines 0 comments Download
M tests/parsers/winreg_plugins/bagmru.py View 1 1 chunk +35 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/ccleaner.py View 1 1 chunk +9 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/lfu.py View 1 2 chunks +21 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/mountpoints.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/mrulist.py View 1 2 chunks +40 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/mrulistex.py View 1 4 chunks +71 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/msie_zones.py View 1 1 chunk +26 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/network_drives.py View 1 1 chunk +8 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/networks.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/officemru.py View 1 1 chunk +46 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/outlook.py View 1 1 chunk +16 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/programscache.py View 1 1 chunk +16 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/run.py View 1 1 chunk +41 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/sam_users.py View 1 1 chunk +9 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/services.py View 1 1 chunk +8 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/shutdown.py View 1 2 chunks +9 lines, -1 line 0 comments Download
M tests/parsers/winreg_plugins/task_scheduler.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/terminal_server.py View 1 1 chunk +16 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/test_lib.py View 1 2 chunks +45 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/timezone.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/typedurls.py View 1 1 chunk +16 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/usb.py View 1 1 chunk +9 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/usbstor.py View 1 1 chunk +9 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/userassist.py View 1 1 chunk +26 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/windows_version.py View 1 1 chunk +10 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/winlogon.py View 1 1 chunk +11 lines, -0 lines 0 comments Download
M tests/parsers/winreg_plugins/winrar.py View 1 1 chunk +9 lines, -0 lines 0 comments Download

Messages

Total messages: 30
Joachim Metz
4 months ago (2018-01-21 18:48:31 UTC) #1
Joachim Metz
Code updated.
4 months ago (2018-01-21 19:36:03 UTC) #2
Joachim Metz
Code updated.
4 months ago (2018-01-21 20:30:08 UTC) #3
baby546833
<?xml version =“1.0”encoding =“utf-8”?> 代碼審查 - 所有我要審查的問題</ title> <link href =“http://zh.w3.org/2005/Atom” https://codereview.appspot.com/“rel =”alternate“> </ link> ...
3 months, 3 weeks ago (2018-01-27 03:06:18 UTC) #4
baby546833
On 2018/01/21 18:48:31, Joachim Metz wrote: <?xml version =“1.0”encoding =“utf-8”?> 代碼審查 - 所有我要審查的問題</ title> <link ...
3 months, 3 weeks ago (2018-01-27 03:08:21 UTC) #5
baby546833
I Love my wife
3 months, 3 weeks ago (2018-01-28 04:55:35 UTC) #6
onager
https://codereview.appspot.com/333570043/diff/40001/tests/parsers/winreg_plugins/appcompatcache.py File tests/parsers/winreg_plugins/appcompatcache.py (right): https://codereview.appspot.com/333570043/diff/40001/tests/parsers/winreg_plugins/appcompatcache.py#newcode298 tests/parsers/winreg_plugins/appcompatcache.py:298: self.assertTrue(result) Please move the assert into the _CheckFiltersOnKeyPath method, ...
3 months, 1 week ago (2018-02-11 12:04:58 UTC) #7
Joachim Metz
https://codereview.appspot.com/333570043/diff/40001/tests/parsers/winreg_plugins/appcompatcache.py File tests/parsers/winreg_plugins/appcompatcache.py (right): https://codereview.appspot.com/333570043/diff/40001/tests/parsers/winreg_plugins/appcompatcache.py#newcode298 tests/parsers/winreg_plugins/appcompatcache.py:298: self.assertTrue(result) On 2018/02/11 12:04:58, onager wrote: > Please move ...
3 months, 1 week ago (2018-02-11 14:08:43 UTC) #8
Joachim Metz
Code updated.
3 months, 1 week ago (2018-02-11 14:12:24 UTC) #9
baby546833
I very my wife....
3 months, 1 week ago (2018-02-11 17:27:56 UTC) #10
baby546833
幹你娘老雞歪,網路上一群欠人幹的爛B
3 months, 1 week ago (2018-02-11 17:44:03 UTC) #11
baby546833
幹你祖公的大某小姨的臭雞歪
3 months, 1 week ago (2018-02-11 17:46:09 UTC) #12
baby546833
你們有誰欠人幹
3 months, 1 week ago (2018-02-11 17:47:08 UTC) #13
baby546833
死妓女……插你屁眼
3 months, 1 week ago (2018-02-11 17:47:57 UTC) #14
baby546833
2016/09/11我結第2次婚
3 months, 1 week ago (2018-02-11 17:50:30 UTC) #15
baby546833
我曾開過復康巴士……我開媽祖一號,叫我周勇..
3 months, 1 week ago (2018-02-11 17:53:24 UTC) #16
baby546833
我喜歡未成年少女的雞歪
3 months, 1 week ago (2018-02-11 17:54:53 UTC) #17
baby546833
我也喜歡幹屁眼
3 months, 1 week ago (2018-02-11 17:55:54 UTC) #18
baby546833
重點是去找妓女幹完不給錢
3 months, 1 week ago (2018-02-11 17:56:58 UTC) #19
baby546833
我要公開網路上和我視訊的賤女人照片
3 months, 1 week ago (2018-02-11 17:58:26 UTC) #20
baby546833
誰叫你們這麽賤
3 months, 1 week ago (2018-02-11 17:59:19 UTC) #21
baby546833
公開你們的電話,你們生意才會好,死妓女
3 months, 1 week ago (2018-02-11 18:00:48 UTC) #22
baby546833
公開你們視訊的叫聲……叫你們朋友也一起聽……
3 months, 1 week ago (2018-02-11 18:02:38 UTC) #23
baby546833
我住台北昌吉街
3 months, 1 week ago (2018-02-11 18:03:58 UTC) #24
baby546833
我常打老婆,越打越爽越興奮
3 months, 1 week ago (2018-02-11 18:05:01 UTC) #25
onager
LGTM after removing the redundant test. https://codereview.appspot.com/333570043/diff/60001/tests/parsers/winreg_plugins/appcompatcache.py File tests/parsers/winreg_plugins/appcompatcache.py (right): https://codereview.appspot.com/333570043/diff/60001/tests/parsers/winreg_plugins/appcompatcache.py#newcode290 tests/parsers/winreg_plugins/appcompatcache.py:290: self._AssertFiltersOnKeyPath(plugin, key_path) Remove ...
3 months ago (2018-02-19 15:36:12 UTC) #26
Joachim Metz
https://codereview.appspot.com/333570043/diff/60001/tests/parsers/winreg_plugins/appcompatcache.py File tests/parsers/winreg_plugins/appcompatcache.py (right): https://codereview.appspot.com/333570043/diff/60001/tests/parsers/winreg_plugins/appcompatcache.py#newcode290 tests/parsers/winreg_plugins/appcompatcache.py:290: self._AssertFiltersOnKeyPath(plugin, key_path) The first one should be AppCompatibility
3 months ago (2018-02-19 17:56:13 UTC) #27
Joachim Metz
Code updated.
3 months ago (2018-02-19 18:04:03 UTC) #28
Joachim Metz
Changes have been merged with master branch. To close the review and clean up the ...
3 months ago (2018-02-19 18:09:32 UTC) #29
baby546833
3 months ago (2018-02-20 01:19:53 UTC) #30
Message was sent while issue was closed.
I very love my wife
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e4aa27b